Can an NSM5200 version 2.1.7 and version 2.1.5 be mixed in the same recording pool?

Issue

Intermixing NSM5200 v2.1.5 and v2.1.7.

Product Line

Pelco Cameras, Pelco Video Management

Environment

Endura NSM5200 v2.1.7 "New Hardware" and NSM5200 v2.1.5 "Old Hardware"

Cause

NSM 2.1.7.0088 was created to accommodate the hardware changes going into the NSM5200 as of 3rd quarter 2012. This version is the same as v2.1.5 with added support for the new hardware listed below. There were no new features or improvements to v2.1.6.


HARDWARE CHANGES:

  • New Motherboard SuperMicro X9SCM
  • New RAID controller Card, LSI/3Ware 9750-4i
  • New RAID Card Battery
  • New CPU
  • New CPU Heatsink/Fan
  • New DDR3 Memory
  • New mechanical hold-down bracket for RAID Card and pre-existing optional Fiber Card
  • New RAID Card Battery bracket capable of being extracted externally (just replaces old one)
  • New mechanical motherboard sled with screw holders for new socketed CPU Heatsink/Fan

SOFTWARE CHANGES TO ACCOMMODATE THE NEW HARDWARE:

  • New Kernel 2.6.35.9
  • Updated e1000e driver
  • Updated sensors driver (w83627ehf driver with nct6776 support)
  • New UDEV Rules for 3Ware 9750 Card
  • New sensors config for nct6776
  • Added tw_cli for 3Ware 9750 Card
  • New Boot Scripts
  • Setup for eth0
  • Detection of New Hardware for proper tw_cli
  • Loads 3Ware 9750 SAS Driver
  • /mbr Script Support for 3Ware 9750
  • New PAL
  • 3Ware 9750 Support
  • Native Python Hardware Watchdog Strobe 

Resolution

For those who currently have NSM5200 build 2.2.x:
NSM5200s with build 2.1.7 are not compatible with 2.2.x pools. Users should wait for the next version of NSM, 2.3.1, or start a new recording pool with the 2.1.7 unit.

For those who currently have the existing NSM5200 build 2.1.5 and below:
Users may update to 2.1.7, but it is recommended that they continue running build 2.1.5 and wait for the next version of NSM, 2.3.1, as 2.1.7 will have no added benefit.

For those who purchased a new unit with 2.1.7 and have an existing 2.1.5 and below recording pool:
Prior to adding a NSM with build 2.1.7 to an existing 2.1.5 and below pool, the customer should update their existing pool to 2.1.7.
or
You may choose not to add the 2.1.7 NSM5200 to the existing 2.1.5 and below pool, instead start a new recording pool with the 2.1.7 unit.

For those who purchased a new unit with 2.1.7 and have an existing 2.2.x or greater pool:
NSM5200s with build 2.1.7 are not compatible with 2.2.x and greater pools.  Users should set up the new unit as a separate pool.

For those who want to re-image "new hardware":
Version 2.1.7 or greater must be used. 

For those who want to re-image "old hardware":
Any version may be used.


Identifying old vrs. new hardware: 

  1. SSH into the NSM5200.
  2. Type tw_cli show
  3. View the "Model" column to determine the hardware rev. 

 

Old hardware example:

Ctl   Model        (V)Ports  Drives   Units   NotOpt  RRate   VRate  BBU
------------------------------------------------------------------------
c1    9690SA-4I    12        12       1       0       2       2      OK

 

New hardware example:

Ctl   Model        (V)Ports  Drives   Units   NotOpt  RRate   VRate  BBU
------------------------------------------------------------------------
c1    9750-4I    12        12       1       0       2       2      OK